;=============================================================================
; FILE:	BLINK08.S
; FUNC: the first HC08 Welcome Kit program
;	Blinking LED on PTC2
; COPY: (C)2001 by MCT Elektronikladen GbR, Oliver Thamm
;=============================================================================

PTC	= $0002
DDRC	= $0006
CONFIG1	= $001f

STACK	= 0x013f

	.text

start:	ldhx #STACK+1
	txs			; reset stack pointer
	mov  #$01,CONFIG1	; disable COP watchdog
	clra
	mov  #4,DDRC

loop:	eor  #4
	sta  PTC
	bsr  delay
	bra  loop

delay:	psha
	pshx
	clrx			; 256*0,9375ms=240ms
loopx:	clra			; 9*256=2304 (0,9375ms @ 2,4576MHz)
loopa:	nsa			; [3]
	nsa			; [3]
	dbnza loopa		; [3]
	dbnzx loopx		;
	pulx
	pula
	rts

	.area memory(abs)
	.org $fff6

	.dw  $ffff
	.dw  $ffff
	.dw  $ffff
	.dw  $ffff
	.dw  start

